CREATE TABLE version(
	db_version	INT NOT NULL
);

INSERT INTO version (db_version) VALUES (1);

CREATE TABLE settings(
	settings_id								INT NOT NULL PRIMARY KEY DEFAULT 1,
	action_args								TEXT NULL,
	action_path								TEXT NULL,
	action_type 							INT NOT NULL DEFAULT 0,
	alert_setting_failed_ip_detection 		INT NOT NULL DEFAULT 1 CHECK(alert_setting_failed_ip_detection IN (0, 1)),
	alert_setting_invalid_ip_detection 		INT NOT NULL DEFAULT 1 CHECK(alert_setting_invalid_ip_detection IN (0, 1)),
	alert_setting_ip_addr_change_detection 	INT NOT NULL DEFAULT 1 CHECK(alert_setting_ip_addr_change_detection IN (0, 1)),
	auto_detect_update 						INT NOT NULL DEFAULT 0 CHECK(auto_detect_update IN (0, 1)),
	update_interval 						INT NOT NULL DEFAULT 5 CHECK(update_interval > 0),
	update_interval_period 					INT NOT NULL DEFAULT 0,
	email_alerts 							INT NOT NULL DEFAULT 0 CHECK(email_alerts IN (0, 1)),
	email_auth_required 					INT NOT NULL DEFAULT 0 CHECK(email_auth_required IN (0, 1)),
	email_auth_type							INT NOT NULL DEFAULT -1,
	email_auth_user_name					TEXT NULL,
	email_auth_password						TEXT NULL,
	email_server							TEXT NULL,
	email_port								INT NULL CHECK(email_port > 0),
	email_from_address						TEXT NULL,
	email_to_address						TEXT NULL,
	language 								TEXT NOT NULL DEFAULT 'en-gb',
	last_changed_dtm 						TEXT NOT NULL,
	last_ip 								TEXT NULL,
	script_cmd								TEXT NULL,
	update_check_timeout 					INT NOT NULL DEFAULT 2000 CHECK(update_check_timeout > 500),
	update_retry_attempts 					INT NOT NULL DEFAULT 2 CHECK(update_retry_attempts >= 0),
	CHECK ((action_type = 0 AND action_path IS NOT NULL) OR (action_type = 1 AND script_cmd IS NOT NULL))
);

